lpadmin(8)

NAME
lpadmin - CUPS-Treiber und -Klassen konfigurieren

SYNOPSIS
lpadmin [ -E ] [ -U Benutzername ] [ -h Server[:Port] ] -d Ziel
lpadmin [ -E ] [ -U Benutzername ] [ -h Server[:Port] ] -p Ziel [ -R Standardname ] Option(en)
lpadmin [ -E ] [ -U Benutzername ] [ -h Server[:Port] ] -x Ziel

BESCHREIBUNG
lpadmin konfiguriert von CUPS bereitgestellte Warteschlangen für Drucker und Druckerklassen. Es kann auch zur Einstellung des Standarddruckers oder der Standardklasse verwandt werden.

Wird die Option -E vor den Optionen -d, -p oder -x verwandt, so erzwingt sie die Verschlüsselung bei Verbindungen zum Server.

Die erste Form des Befehls (-d) setzt den Standarddrucker oder Klasse auf Ziel. Folgende Druckaufträge, die mit den Befehlen lp(1) oder lpr(1) eingereicht werden, verwenden dieses Ziel solange der Benutzer nichts anderes mit dem Befehl lpoptions(1) festgelegt hat.

Die zweite Form des Befehls (-p) konfiguriert den benannten Drucker oder Klasse. Die zusätzlichen Optionen sind unten beschrieben.

Die dritte Form des Befehls (-x) löscht den Drucker oder Klasse Ziel. Alle Aufträge, die für dieses Ziel noch warten, werden entfernt und im Druck befindliche Aufträge werden abgebrochen.

OPTIONEN
Die folgenden Optionen werden bei der Konfiguration einer Druckerwarteschlange verstanden:

-c Klasse
    Fügt den benannten Drucker zu der Klasse hinzu. Falls Klasse nicht existiert, so wird sie automatisch erstellt.

-m Modell
    Legt eine Standard-PPD-Datei für den Drucker aus dem Verzeichnis Model oder mittels einer der Druckerschnittstellen fest. Verwenden Sie die Option -m mit dem Befehl lpinfo(8), um eine Liste der unterstützten Modelle zu erhalten. Das Modell »raw« bereinigt jede PPD-Datei und das Modell »everywhere« fragt den von der angegebenen IPP-Geräte-URI referenzierten Drucker ab. Hinweis: Alle Modelle außer »everywhere« sind veraltet und werden in einer zukünftigen Version von CUPS nicht mehr unterstützt.

-o cupsIPPSupplies=true

-o cupsIPPSupplies=false
    Legt fest, ob IPP-Bereitstellungsstufen berichtet werden sollen.

-o cupsSNMPSupplies=true

-o cupsSNMPSupplies=false
    Legt fest, ob SNMP-Bereitstellungsstufen (RFC 3805) berichtet werden sollen.

-o job-k-limit=Wert
    Setzt die Begrenzung in Kilobyte für pro-Benutzer-Quotas. Der Wert ist eine Ganzzahl von Kilobytes, ein Kilobyte ist 1024 Bytes.

-o job-page-limit=Wert
    Setzt eine Seitenbegrenzung für pro-Benutzer-Quotas. Der Wert ist eine Ganzzahl von Seiten, die gedruckt werden können. Doppelseitige Seiten werden als zwei Seiten gezählt.

-o job-quota-period=Wert
    Setzt die Berechnungsperiode für Quotas je Benutzer. Der Wert ist eine Ganzzahl von Sekunden; 86.400 Sekunden sind ein Tag.

-o job-sheets-default=Deckblatt

-o job-sheets-default=Deckblatt,Deckblatt
    Legt das/die Standarddeckblätter für das Drucken von Aufträgen fest.

-o Name=Wert
    Setzt eine PPD-Option für den Drucker. PPD-Optionen können mittels der Option -l des Befehls lpoptions(1) aufgelistet werden.

-o Name-default=Wert
    Setzt eine serverseitige Standardoption für das Ziel. Jede Option zur Druckzeit kann mit einem Standardwert belegt werden, z.B. »-o number-up-default=2«, um den Standard-»number-up«-Optionswert auf 2 zu setzen.

-o port-monitor=Name
    Setzt das binäre Kommunikationsprogramm, das benutzt wird, um »none«, »bcp« oder »tbcp« zu drucken. Das Standardprogramm ist »none«. Der angegebene Monitorport muss in der PPD-Datei des Druckers aufgelistet sein.

-o printer-error-policy=Name
    Setzt die Richtlinie für Fehler, wie Drucker, die nicht gefunden oder auf die nicht zugegriffen werden können, die das zu druckende Format nicht drucken können, während der Übergabe der Druckdaten fehlschlagen oder zum Absturz von einem oder mehreren Filtern führen. Der Name muss entweder »abort-job« (den aktuellen Auftrag bei Fehlern abbrechen), »retry-job« (den Auftrag in der Zukunft erneut versuchen), »retry-current-job« (den Auftrag sofort erneut versuchen) oder »stop-printer« (den Drucker bei Fehlern anhalten) sein. Die Standardfehlerrichtlinie ist »stop-printer« für Drucker und »retry-current-job« für Klassen.

-o printer-is-shared=true

-o printer-is-shared=false
    Setzt, ob das Ziel freigegeben/veröffentlicht oder nicht freigegeben/unveröffentlicht ist. Freigegebene/Veröffentlichte Ziele werden öffentlich angezeigt durch den Server im LAN, der auf der Suchkonfiguration in cupsd.conf basiert, während nicht freigegebene/unveröffentlichte Ziele nicht angezeigt werden. Vorgabewert ist »true«.

-o printer-op-policy=Name
    Setzt die mit dem Ziel verbundene IPP-Vorgangsrichtlinie. Der Name muss in einem Richtlinienabschnitt der cupsd.conf definiert sein. Die Standardvorgangsrichtlinie ist »default«.

-R Name-default
    Löscht die benannte Option aus Drucker.

-r Klasse
    Entfernt den benannten Drucker aus der Klasse. Falls die entstehende Klasse dadurch leer wird, wird sie entfernt.

-u allow:{Benutzer|@Gruppe}{,Benutzer|,@Gruppe}*

-u deny:{Benutzer|@Gruppe}{,Benutzer|,@Gruppe}*

-u allow:all

-u deny:none
    Setzt die Zugriffsteuerung auf Benutzerebene für ein Ziel. Namen, die mit »@« beginnen werden als UNIX-Gruppen interpretiert. Die beiden letzten Formen schalten die Zugriffsteuerung auf Benutzerebene aus. Hinweis: Dem Benutzer »root« wird kein besonderer Zugriff gewährt - mit »-u allow:foo,bar« wird den Benutzern »foo« und »bar« der Zugriff auf den Drucker erlaubt, aber NICHT »root«.

-v "Geräte-URI"
    Setzt das Geräte-URI-Attribut der Druckerwarteschlange. Benutzen Sie den Befehl lpinfo(8) mit der Option -v, um eine Liste der unterstützten Geräte-URIs und -Schemen zu erhalten.

-D "Info"
    Stellt eine textuelle Beschreibung des Ziels bereit.

-E  Erzwingt die Verwendung von TLS-Verschlüsselung bei der Verbindung zum Auftragsplaner, wenn vor den Optionen -d, -p oder -x angegeben wurde. Aktiviert andernfalls das Ziel und akzeptiert Aufträge. Dies ist identisch zur Ausführung der Programme cupsaccept(8) und cupsenable(8) für das Ziel.

-L "Ort"
    Stellt den Ort des Ziels textuell bereit.

VERALTETE OPTIONEN
Die folgenden lpadmin-Optionen sind veraltet:

-i filename
    Diese Option wurde historisch zur Bereitstellung entweder eines System-V-Schnittstellenskriptes oder (als ein Seiteneffekt der Implementierung) einer PPD-Datei verwandt. Beachten Sie: Schnittstellenskripte werden von CUPS nicht unterstützt. PPD-Dateien und Druckertreiber sind veraltet und werden in einer zukünftigen Version von CUPS nicht unterstützt.

-P PPD-Datei
    Legt eine PostScript-Printer-Description-Datei (PPD) für die Verwendung mit dem Drucker fest. Hinweis: PPD-Dateien und Druckertreiber sind veraltet und werden in einer zukünftigen Version von CUPS nicht mehr unterstützt.

KONFORMITÄT
Anders als das System-V-Drucksystem erlaubt es CUPS, dass Druckernamen alle druckbaren Zeichen außer Leertaste, Tabulator, »/« und »#« enthalten. Auch sind Drucker- und Klassennamen unabhängig von der Groß-/Kleinschreibung.

Die CUPS-Versionen von lpadmin könnten den Benutzer schließlich, abhängig von der Konfiguration des Drucksystems, nach einem Zugriffspasswort fragen. Dies unterscheidet sich von der System-V-Version, die verlangt, dass der Benutzer »root« diese Befehle ausführt.

HINWEISE
CUPS-Druckertreiber und -Backends sind veraltet und werden in einer zukünftigen Funktionsveröffentlichung von CUPS nicht mehr unterstützt. Drucker, die IPP nicht unterstützen, können mittels Anwendungen wie ippeveprinter(1) unterstützt werden.

Die CUPS-Version von lpadmin unterstützt nicht alle Optionen der System-V- oder Solaris-Drucksystemkonfiguration.

Aus Sicherheitsgründen werden Schnittstellenskripte nicht unterstützt.

Die doppelte Bedeutung der Option -E ist eine unglückliche historische Kuriosität.

Der Befehl lpadmin kommuniziert mit dem Auftragsplaner (cupsd), um Änderungen an der Drucksystemkonfiguration vorzunehmen. Die Konfigurationsinformationen werden in verschiedenen Dateien, einschließlich printers.conf und classes.conf, gespeichert. Diese Dateien sollten nicht direkt bearbeitet werden und sind ein Implementierungsdetail von CUPS, das sich jederzeit ändern kann.

BEISPIEL
Eine IPP-Überall-Warteschlange erstellen:

    lpadmin -p meinDrucker -E -v ipp://meinDrucker.local/ipp/print -m ueberall

SIEHE AUCH
cupsaccept(8), cupsenable(8), lpinfo(8), lpoptions(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.